/*
 * outputnetwork.h: Network output for the Atmolight-plugin
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#ifndef _ATMO_OUTPUTNETWORK_H
#define _ATMO_OUTPUTNETWORK_H

#include <arpa/inet.h>

// --- cOutputNetwork ---------------------------------------------------------

class cOutputNetwork : public cAtmoOutput {
private:
  struct sockaddr_in address;
public:
  cOutputNetwork();
  virtual bool Open(const char* param);
  virtual bool Close(void);
  virtual bool OutputColors(const tColorPacket col);
};

#endif //_ATMO_OUTPUTNETWORK_H
